# ml-flow

Repositório para lógicas pertinentes ao projeto de análise de pacotes com ML e bi-flow.

## Instalação

Assume que você já tenha instalado Python e pacotes `pip` e `venv`. Além disso, recomendado o uso do VSCode como IDE com a extensão `Jupyter`. Se isso estiver okay, abrir um terminal e executar os seguintes comandos:

```sh
git clone https://gmapsrv.pucrs.br/gitlab/carlosgomes/ml-flow.git
cd ml-flow/
python3 -m venv .venv/
source .venv/bin/activate
pip3 install -r requirements.txt
code .
```

Depois disso, basta abrir o notebook `analises.ipynb` dentro do vscode. Quando terminar, pode deletar `.venv/` para salvar espaço em disco.

## DataSet

Os dados devem ser colocados em um subdir chamado `data/` na raiz do projeto. Configurar constantes de acordo.
